# Exports, Events

### <mark style="color:red;">Map open and close exports</mark>

<pre class="language-lua"><code class="lang-lua"><strong>exports['bp_mapui']:openmap('minimap', {['width'] = '18%', ['height'] = '18%', ['radius'] = '0', ['top'] = '80%', ['left'] = '1%', ['opacity'] = '0.9' , ['zoom'] = '4'})
</strong>exports['bp_mapui']:openmap('bigmap', {['width'] = '70%', ['height'] = '70%', ['radius'] = '0', ['top'] = '50%', ['left'] = '50%', ['opacity'] = '1.0' , ['zoom'] = '4'})
</code></pre>

1. maptype : 'minimap' or 'bigmap'
2. data : width,height, radius(for circle) , top , left , opactity and zoom
3. zoom : 3, 4 ,5

```lua
exports['bp_mapui']:closemap();
```

### <mark style="color:purple;">Add Static Blip (or Dynamic)</mark>

```lua
exports['bp_mapui']:AddStaticBlip({['name'] = 'Police Run!', ['type'] = 'image', ['coords'] = vec3(206.887909, -1632.079102, 29.717896), ['size'] = {['width'] = 20, ['height'] = 20}, ['url'] = 'https://docs.fivem.net/blips/radar_police_chase.gif'  })
```

<mark style="color:green;">AddStaticBlip</mark> >> With AddStaticBlip you can add a blip to be added to the list. return >> blipid

1. name : Blip name
2. type : 'image' or 'svg'

```lua
 exports['bp_mapui']:UpdateStaticBlip(blipid, { coords = vec3(189.204391, -1610.676880, 29.279907), size = { width = 20, height = 20 }, color = "blue" })
```

<mark style="color:orange;">UpdateStaticBlip</mark> >> You can change the coordinate and size of an actively created blip.

```lua
exports['bp_mapui']:RemoveStaticBlip(blipid)
```

<mark style="color:red;">RemoveStaticBlip</mark> >> You can delete Blip here.

### <mark style="color:green;">Add Area Blip</mark>

```lua
exports['bp_mapui']:AddAreaBlip({ type = "circle", coords = vector3(182.769226, -1609.727417, 29.313599), radius = 100, color = "blue", opacity = 0.6, width = 150, height = 50, rotation = 190, name = "Başlangıç Alanı" })
```

<mark style="color:green;">AddareaBlip</mark> >> You can add area blip here !

1. type = 'cricle' , 'square' , 'poly'

```lua
 exports['bp_mapui']:UpdateAreaBlip(areid, { coords = vector3(182.769226, -1909.727417, 29.313599), radius = 150, color = "green", name = "Yeni Alan" })
```

<mark style="color:blue;">UpdateAreaBlip</mark> >> Here you can update the area blip !

```lua
exports['bp_mapui']:RemoveAreaBlip(areid)
```

### <mark style="color:orange;">Add Text Blip</mark>

```lua
exports['bp_mapui']:AddTextBlip({ coords = vector3(106.562637, -796.246155, 31.470337), text = "Test Blip", color = "blue", backgroundcolor = "white", size = { width = 120, height = 60, fontSize = 16 }, opacity = 0.8 })
```

```lua
exports['bp_mapui']:UpdateTextBlip(textid, { coords = vector3(106.562637, -896.246155, 31.470337), text = "Update Blip", color = "green", size = { fontSize = 18 } })
```

```lua
exports['bp_mapui']:RemoveTextBlip(textid)
```

### <mark style="color:red;">DELETE ALL BLIPS</mark>

```lua
exports['bp_mapui']:DeleteAllBlips(4)
```

This export deletes all blips.

* 1 > deletes only static blips
* 2 > deletes only area blips
* 3 > deletes only text blips
* 4 > deletes all clips


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/bp-resources/bp-drone/exports-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
